Jump to content
ezzymedia

Shop lässt Apache abstürzen während des Bestellvorgangs

Recommended Posts

Hallo.

Könnte etwas Schwarmwissen gebrauchen, vielleicht weiß hier Jemand mehr darüber.

Ich habe eine Presta Installation Version 1.7.3.4
Server: Linux #1 SMP Debian 4.9.168-1+deb9u2 (2019-05-13) x86_64
PHP: 7.0.33
Speichergrenze auf 512M
MySQL: 10.1.38-MariaDB

Bis vor einer Woche lief der Shop absolut reibungslos, nun bekomme ich ein riesen Problem.
Fast jedes Mal, wenn ich vom Warenkorb in den Bestellvorgang wechsel, schmiert mir der Apache des Servers ab.
Auf dem Server laufen allerdings noch andere Seiten, die dies dann ebenfalls betrifft und dann nicht mehr erreichbar sind, bis der Apache neu gestartet ist.
Die Fehler-Logs des Servers bleiben leider leer und helfen mir nicht weiter.
Hat hier Jemand soetwas auch schonmal gehabt und hätte einen Tipp für mich?

Share this post


Link to post
Share on other sites

Das Thema wäre noch aktuell und ich habe bis Heute noch keine Lösung für das Problem gefunden.

Ware lässt sich in den Einkaufskorb legen,
man kann auch in den Warenkorb wechseln.
Sobald ich jedenfalls dann die Bestellung abschließen möchte, ist die Seite komplett down (für alle!).

Ich bin absolut Ratlos, wäre über jeden Tipp dankbar!

Gruß, ezzy

Share this post


Link to post
Share on other sites

Wenn du in einem völlig unpassendem Unterforum postest mußt du dich nicht wundern wenn dein Post nicht beantwortet wird.

Wie es dazu kommen kann, daß ein Shop gleich den ganzen Server zum Absturz bringt, keine Ahnung, und dann noch nicht einmal etwas in den Logs? Vielleicht mußt du das Logging erst aktivieren (da gabs irgend wo was ...). Außerdem kannst du natürlich in Prestashop Error Reporting aktivieren, du kannst einstellen, daß Fremdmodule und Overrides deaktiviert werden und Caches löschen. Was passiert beim Absturz denn auf dem Bildschirm, dauert das einige Zeit?

Wenn nichts dagegen spricht, könntest du Prestashop auf eine aktuellere Version aktualisieren, die Bugs sind ja mit der Zeit weniger geworden (wobei 1.7.5.2 empfehlenswerter zu sein scheint als 1.7.6.x). Auch PHP könntest du auf 7.1 oder 7.2 umstellen.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More